JMSStorageManager (ActiveMQ Artemis Web 1.1.0.wildfly-010 API)
Date: 2015-12-18

org.apache.activemq.artemis.jms.persistence

## Interface JMSStorageManager

- All Superinterfaces:
    org.apache.activemq.artemis.core.server.ActiveMQComponent
  All Known Implementing Classes:
    JMSJournalStorageManagerImpl, NullJMSStorageManagerImpl

      public interface JMSStorageManager
      extends org.apache.activemq.artemis.core.server.ActiveMQComponent

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addBindings(PersistedType type, String name, String... address)`
    `void` | `deleteBindings(PersistedType type, String name)`
    `void` | `deleteBindings(PersistedType type, String name, String address)`
    `void` | `deleteConnectionFactory(String connectionFactory)`
    `void` | `deleteDestination(PersistedType type, String name)`
    `void` | `load()`
    `List<PersistedConnectionFactory>` | `recoverConnectionFactories()`
    `List<PersistedDestination>` | `recoverDestinations()`
    `List<PersistedBindings>` | `recoverPersistedBindings()`
    `void` | `storeConnectionFactory(PersistedConnectionFactory connectionFactory)`
    `void` | `storeDestination(PersistedDestination destination)`

    - ### Methods inherited from interface org.apache.activemq.artemis.core.server.ActiveMQComponent

      `isStarted, start, stop`

- - ### Method Detail

    - #### load

          void load()
             throws Exception

      Throws:
        `Exception`

    - #### storeDestination

          void storeDestination(PersistedDestination destination)
                         throws Exception

      Throws:
        `Exception`

    - #### deleteDestination

          void deleteDestination(PersistedType type,
                                 String name)
                          throws Exception

      Throws:
        `Exception`

    - #### recoverDestinations

          List<PersistedDestination> recoverDestinations()

    - #### deleteConnectionFactory

          void deleteConnectionFactory(String connectionFactory)
                                throws Exception

      Throws:
        `Exception`

    - #### storeConnectionFactory

          void storeConnectionFactory(PersistedConnectionFactory connectionFactory)
                               throws Exception

      Throws:
        `Exception`

    - #### recoverConnectionFactories

          List<PersistedConnectionFactory> recoverConnectionFactories()

    - #### addBindings

          void addBindings(PersistedType type,
                           String name,
                           String... address)
                    throws Exception

      Throws:
        `Exception`

    - #### recoverPersistedBindings

          List<PersistedBindings> recoverPersistedBindings()
                                                    throws Exception

      Throws:
        `Exception`

    - #### deleteBindings

          void deleteBindings(PersistedType type,
                              String name,
                              String address)
                       throws Exception

      Throws:
        `Exception`

    - #### deleteBindings

          void deleteBindings(PersistedType type,
                              String name)
                       throws Exception

      Throws:
        `Exception`

Copyright © 2015. All rights reserved.